View Issue Details

IDProjectCategoryView StatusLast Update
0000180FreeCADFeaturepublic2010-12-04 14:37
Reporteryorik Assigned Toyorik  
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.11 
Summary0000180: Allow dxf export of a Drawing sheet
DescriptionIt is probably fairly easy to convert a svg document to dxf with external converters, but it would be cool to be able to export directly a "ready-to-autocad" 2D file from the drawing module...

I'll see if I find some easy/automatic way to convert svg data to dxf, (maybe inkscape in command-line mode?) otherwise I'll build some pipe through the draft module's dxf export function.
TagsNo tags attached.
FreeCAD Information

Activities

yorik

2010-10-23 12:43

administrator   ~0000386

Last edited: 2010-10-23 12:44

I found that Inkscape is pretty easy to use from command line to convert from svg to dxf:

inkscape test.svg --export-ps=test.ps
/usr/share/inkscape/extensions/ps2dxf.sh test.ps > test.dxf

The ps2dxf program is the standard built-in way of exporting dxf from inkscape. It has several limitations and problems, specifically with texts. A lot of inkscape users are dissatisfied with it and there are many alternative and home-made scripts around. I still need to test some... For ex:

http://mydxf.blogspot.com/2008/11/inkscape-r12-dxf.html
http://www.bobcookdev.com/inkscape/inkscape-dxf.html

yorik

2010-12-04 14:37

administrator   ~0000445

That feature is now implemented fully inside the draft module (inkscape is not used anymore) and working (more or less, there are still soem issues in the svg->freecad->dxf translation process). I'll refine it over time when bug appear.

Issue History

Date Modified Username Field Change
2010-10-22 11:12 yorik New Issue
2010-10-22 11:12 yorik Status new => assigned
2010-10-22 11:12 yorik Assigned To => yorik
2010-10-23 12:43 yorik Note Added: 0000386
2010-10-23 12:44 yorik Note Edited: 0000386
2010-12-04 14:37 yorik Note Added: 0000445
2010-12-04 14:37 yorik Status assigned => closed
2010-12-04 14:37 yorik Resolution open => fixed
2010-12-04 14:37 yorik Fixed in Version => 0.11